// DisplayDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Viewer.h"
#include "DisplayDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDisplayDialog dialog


CDisplayDialog::CDisplayDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDisplayDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDisplayDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDisplayDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDisplayDialog)
	DDX_Control(pDX, IDC_TREE1, m_DisplayTree);
	DDX_Control(pDX, IDC_COMBO1, m_StructureList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDisplayDialog, CDialog)
	//{{AFX_MSG_MAP(CDisplayDialog)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDisplayDialog message handlers

BOOL CDisplayDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	CStruct *ptr=m_Parser->GetStructHead();
	while(ptr!=NULL)
	{
		m_StructureList.AddString(ptr->m_Name);
		ptr=ptr->m_Next;
	}
	m_StructureList.SetCurSel(0);
	
	CImageList *m_pUsersListIcons;
	CBitmap bitmap;
	m_pUsersListIcons = new CImageList();
	m_pUsersListIcons->Create(16, 16, ILC_MASK, 6, 4);

	bitmap.LoadBitmap(IDB_BITMAP1);
	m_pUsersListIcons->Add(&bitmap, (COLORREF)0xFFFFFF);
	bitmap.DeleteObject();

	m_DisplayTree.SetImageList(m_pUsersListIcons, TVSIL_NORMAL);


	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDisplayDialog::OnButton1() 
{
	// TODO: Add your control notification handler code here
	char buf[100];
	m_StructureList.GetLBText(m_StructureList.GetCurSel(),buf);
	m_DisplayTree.DeleteAllItems();

	m_Parser->SetStructureToViewWith(buf);
	m_Parser->SetTreeControl(&m_DisplayTree);
	m_Parser->ReadBinaryFile(m_BinaryFileName); //m_BinaryFileName);
}
