// LL1Node.h: interface for the CLL1Node class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LL1NODE_H__744D1C25_4E7F_11D3_9F2D_00605207E82D__INCLUDED_)
#define AFX_LL1NODE_H__744D1C25_4E7F_11D3_9F2D_00605207E82D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define ACTION1 0
#define ACTION2 1
#define ACTION3 2
#define ACTION4 3

#define NON_TERMINAL	0
#define TERMINAL		1
#define ACTION_SYMBOL	2
#define EMPTY			3

#define NT_HEADER_FILE			0
#define NT_STRUCT_DEFINITION	1
#define NT_DECLARATIONS			2
#define NT_DECLARATION			3

class CLL1Node  
{
public:
	CLL1Node();
	virtual ~CLL1Node();
	char m_Type;	// the type of the node , can be 
					// NON_TERMINAL,TERMINAL,ACTION_SYMBOL,EMPTY
	
	char m_Data;	// Meaning varies with m_Type
					// m_Type=	Terminal		Meaning=TokenType
					//			NonTerminal				NonTerminal number
					//			Action					Action Number
					//			EMPTY					no meaning!
};

#endif // !defined(AFX_LL1NODE_H__744D1C25_4E7F_11D3_9F2D_00605207E82D__INCLUDED_)
