// Struct.cpp: implementation of the CStruct class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Viewer.h"
#include "Struct.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CStruct::CStruct()
{
	m_ElementsListHead=NULL;		
	for(int i=0;i<100;i++) m_Name[i]=0;
}

CStruct::~CStruct()
{
	CStructElement *ptr,*Backupptr;
	ptr=m_ElementsListHead;
	while(ptr!=NULL)
	{
		Backupptr=ptr->m_Next;
		delete ptr;
		ptr=Backupptr;
	}
}

CStruct::CStruct(BOOL Initialized)
{
	m_Initialized=Initialized;
	m_ElementsListHead=NULL;
	for(int i=0;i<100;i++) m_Name[i]=0;
}

// Adds a new element @ the tail
void CStruct::AddNewElement(void)
{
	if(m_ElementsListHead==NULL)
	{
		m_ElementsListTail=m_ElementsListHead=new CStructElement;
		m_ElementsListHead->m_Next=NULL;		
	}
	else
	{
		m_ElementsListTail->m_Next=new CStructElement;
		m_ElementsListTail=m_ElementsListTail->m_Next;
		m_ElementsListTail->m_Next=NULL;
	}
}

