// Struct.h: interface for the CStruct class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STRUCT_H__0CDF4FE3_4D8F_11D3_9F2D_00605207E82D__INCLUDED_)
#define AFX_STRUCT_H__0CDF4FE3_4D8F_11D3_9F2D_00605207E82D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StructElement.h"

class CStruct  
{
public:
	CStruct();
	virtual ~CStruct();
	CStruct(BOOL Initialized);
	void AddNewElement(void);			// Adds a new element @ the tail
	char m_Name[100];					// Name of the structure
	BOOL m_Initialized;					// defined or just used
	CStruct *m_Next;					// next node in the structures list

	CStructElement *m_ElementsListHead;	// head of the elements list
	CStructElement *m_ElementsListTail;	// tail of the elements list
	
	
	//CStruct *m_NextNotInitialized;		// In Uninintialized structures list
};

#endif // !defined(AFX_STRUCT_H__0CDF4FE3_4D8F_11D3_9F2D_00605207E82D__INCLUDED_)
